package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.Optional;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvHistorikkStemmeberettigedeMod extends Csv {

    public CsvHistorikkStemmeberettigedeMod() {
        super("historikk_stemmeberettigede_mod.csv",
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()));
        String[] headers = new String[]{"valgtype", "kommnr", "kretsnr", "ssb", "nssb"};
        super.setHeader(headers);
    }


}
